Summary:	Programs for accessing MS-DOS disks without mounting the disks
Name: 		mtools
Version: 	3.9.10
Release: 	%mkrel 3
License: 	GPL
Group: 		File tools
Url: 		http://mtools.linux.lu
Source: 	http://mtools.linux.lu/%{name}-%{version}.tar.bz2
Patch0: 	mtools-3.9.1-linux.patch
Patch1: 	mtools-3.9.7-20000619.diff
Patch2: 	mtools-3.9.6-atari.patch
Patch4: 	mtools-3.9.8-fs.patch
Patch5: 	mtools-3.9.9-supermount.patch
BuildRequires: 	X11-devel
BuildRequires:	texinfo
Requires(pre): 	info-install
Buildroot: 	%{_tmppath}/%{name}-%{version}-buildroot

%description
Mtools is a collection of utilities for accessing MS-DOS files.
Mtools allow you to read, write and move around MS-DOS filesystem
files (normally on MS-DOS floppy disks).  Mtools supports Windows95
style long file names, OS/2 Xdf disks, and 2m disks.

Mtools should be installed if you need to use MS-DOS disks.

%prep
%setup -q
%patch0 -p1 -b .linux
%patch1 -p1 -b .update
%patch2 -p1 -b .atari
%patch4 -p1 -b .compil
%patch5 -p1 -b .supermount

%build
%configure2_5x

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

mkdir -p %{buildroot}/%{_prefix} %{buildroot}%{_sysconfdir}
%makeinstall
install mtools.conf %{buildroot}%{_sysconfdir}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files
%defattr(644,root,root,755)
%config(noreplace) %{_sysconfdir}/mtools.conf
%doc COPYING Changelog README Release.notes mtools.texi
%attr(755,root,root) %{_bindir}/f*
%attr(755,root,root) %{_bindir}/l*
%attr(755,root,root) %{_bindir}/m*
%attr(755,root,root) %{_bindir}/t*
%attr(755,root,root) %{_bindir}/u*
%attr(755,root,root) %{_bindir}/amuFormat.sh
%{_mandir}/*/*
%{_infodir}/%{name}.*


%changelog
* Sun Feb 11 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3.9.10-3mdv2007.0
+ Revision: 118825
- Import mtools



* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 3.9.10-2mdk
- Rebuild

* Mon Jul 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 3.9.10-1mdk
- New release 3.9.10

* Fri Feb 20 2004 Vincent Danen <vdanen@mandrakesoft.com> 3.9.9-3mdk
- undo the special-but-insecure handling for mformat (aka no more suid)

* Mon Aug 25 2003 Franois Pons <fpons@mandrakesoft.com> 3.9.9-2mdk
- created patch to release supermount lock if needed.

* Tue Jul 08 2003 Franois Pons <fpons@mandrakesoft.com> 3.9.9-1mdk
- removed now applied patch 20021118.
- 3.9.9.

* Fri Nov 22 2002 Franois Pons <fpons@mandrakesoft.com> 3.9.8-3mdk
- added official patch 20021118.
- added patch to allow compilation of the above (linux/fs.h).

* Fri Oct  5 2001 DindinX <odin@mandrakesoft.com> 3.9.8-2mdk
- rebuild

* Mon May 28 2001 DindinX <odin@mandrakesoft.com> 3.9.8-1mdk
- 3.9.8

* Fri Jan 12 2001 David BAUDENS <baudens@mandrakesoft.com> 3.9.7-5mdk
- BuildRequires: texinfo

* Wed Aug 30 2000 DindinX <odin@mandrakesoft.com> 3.9.7-4mdk
- use noreplace for mtools.conf
- use sysconfdir instead of /etc

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.9.7-3mdk
- automatically added BuildRequires

* Wed Jul 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.9.7-2mdk
- BM
- let spechelper strip binaries

* Mon Jun 19 2000 DindinX <odin@mandrakesoft.com> 3.9.7-1mdk
- 3.9.7
- use of %configure and %makeinstall
- updated patches

* Fri Mar 24 2000 DindinX <odin@mandrakesoft.com> 3.9.6-5mdk
- Group and spec fixes

* Fri Jan 28 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.9.6-4mdk
- added a defattr

* Fri Nov 12 1999 Damien Krotkine <damien@mandrakesoft.com>
- Mandrake release

* Sat Aug 07 1999 Bernhard Rosenkrnzer <bero@linux-mandrake.com>
- 19990729 bugfix
- add patch to allow reading Atari ST disks (am I the only person
  trying to use STonX occasionally???)

* Thu Jul  8 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 3.9.6
- Prefixing the .spec.

* Sat May 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove the 1.44m in mtools.conf (reported by Jacques).

* Wed May 05 1999 Bernhard Rosenkrnzer <bero@linux-mandrake.com>
- Mandrake adaptions
- 3.9.5

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Thu Mar 18 1999 Cristian Gafton <gafton@redhat.com>
- patch to make the texi sources compile
- fix the spec file group and description
- fixed floppy drive sizes

* Tue Dec 29 1998 Cristian Gafton <gafton@redhat.com>
- build for 6.0
- fixed invalid SAMPLE_FILE configuration file

* Wed Sep 02 1998 Michael Maher <mike@redhat.com>
- Built package for 5.2.
- Updated Source to 3.9.1.
- Cleaned up spec file.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- updated to 3.8

* Tue Oct 21 1997 Otto Hammersmith
- changed buildroot to /var/tmp, rather than /tmp
- use install-info

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Apr 17 1997 Erik Troan <ewt@redhat.com>
- Changed sysconfdir to be /etc

* Mon Apr 14 1997 Michael Fulbright <msf@redhat.com>
- Updated to 3.6
